import React from "react";
import Head from "next/head";
import Header from "../components/header";
import Nav from "../components/nav"
import Sidebar from "../components/sidebar";
import Footer from "../components/footer";
import Poll from "../components/poll";
import Training from "../components/training";
import { TrainingArchive } from "../components/training";
import Exercise from "../components/exercise";
import { ExerciseList } from "../components/exercise";
import { PeopleList } from "../components/people";
import data from "../initial-data.js";
console.log("home done.");

const Home = () => (
  <div id="app">
    <Head>
      <title>Home</title>
      <link rel="icon" href="/favicon.ico" />
    </Head>

    <Header />
    <Nav />
    <main>
      <Poll />
      <TrainingArchive trainings={data.trainings} />
      <ExerciseList exercises={data.exercises} />
      <PeopleList people={data.people} />
      <Training training={data.trainings[data.trainings.length - 1]} />
    </main>
    <Footer />
  </div>
);

export default Home;
